class RequestIdentifierError(ValueError):
    def __init__(self, *args):
        self.identifier = args[0]
        msg = (
            f"Malformed request: {self.identifier}. "
            "It should be in one of the following forms: "
            "{'MM/REQID', 'YYMM/REQID', 'REQID'}."
        )
        super().__init__(msg, *args[1:])
